using FluentValidation;
using Hotline.Share.Dtos.Order;

namespace DataSharing.Validators.XieTong
{
    public class DelayCaseInfoSendInfoValidator : AbstractValidator<PublishOrderDelayDto>
    {
        public DelayCaseInfoSendInfoValidator()
        {
            RuleFor(d => d.DelayNum).NotEmpty();
            RuleFor(d => d.DelayUnit).NotEmpty();
            RuleFor(d => d.EmployeeName).NotEmpty();
            RuleFor(d => d.ApplyDelayTime).NotEmpty();
            RuleFor(d => d.ApplyOrgName).NotEmpty();
            RuleFor(d => d.DelayReason).NotEmpty();
            RuleFor(d => d.Order.ProvinceNo).NotEmpty();
            RuleFor(d => d.Order.AreaCode).NotEmpty();
        }
    }
}
